petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetJoin

Get an array for the join of the set of points

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetJoin(DM dm, PetscInt numPoints, const PetscInt points[], PetscInt *numCoveredPoints, const PetscInt **coveredPoints)

Not Collective Many br

### Input Parameters

| dm | - The DMPlex object Many br
| numPoints | - The number of input points for the join Many br
| points | - The input points Many br

### Output Parameters

| numCoveredPoints | - The number of points in the join Many br
| coveredPoints | - The points in the join Many br

Many br

Note: Currently, this is restricted to a single level join Many br

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must Many brinclude petsc.h90 in your code. Many br

The numCoveredPoints argument is not present in the Fortran 90 binding since it is internal to the array. Many br

### Keywords

mesh

### See Also

DMPlexRestoreJoin(), DMPlexGetMeet()

Level:intermediate
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html